Bug 428882 - various ia64 build errors for gdb
various ia64 build errors for gdb
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
Reported: 2008-01-15 15:59 EST by Doug Chapman
Modified: 2008-02-20 04:45 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-20 04:45:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix gdb ia64 build warnings/errors (2.52 KB, patch)
2008-01-15 15:59 EST, Doug Chapman
no flags Details | Diff

  None (edit)
Description Doug Chapman 2008-01-15 15:59:07 EST
Description of problem:

Since gdb builds with treating warnings as errors there are a few warnings that
prevent building on ia64.  A couple are actually errros as well.  No functional
changes, just minor fixups needed.

I am attaching a patch.  Compile tested on my experimental ia64 rawhide tree.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Doug Chapman 2008-01-15 15:59:07 EST
Created attachment 291749 [details]
fix gdb ia64 build warnings/errors
Comment 2 Doug Chapman 2008-02-12 18:02:43 EST
FYI, I investigated the latest upstream source and the code has changed to the
point where my patch is no longer applicable upstream.  Also, upstream compiles
cleanly.  This patch needs to be a fedora only patch.

Can we see about getting this in sometime soon?  This is one of the blocking
issues for getting fedora on ia64.


- Doug
Comment 3 Jan Kratochvil 2008-02-12 18:07:42 EST
Planning the planned GDB-6.8 only for F10, F9 should stay with the current
Rawhide GDB-6.7.1.
Sorry, going to import it these days.
Comment 4 Jan Kratochvil 2008-02-20 04:45:33 EST
Committed (and tested the rebuild on RHEL-5 ia64 before).
* Wed Feb 20 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.7.1-13
- ia64 build fixes from Doug Chapman (BZ 428882).

Note You need to log in before you can comment on or make changes to this bug.